Subject: Re: [PATCH v2 7/8] submodule--helper: remove unused helpers

From: Junio C Hamano <[email-masked]>
Date: Mon, 20 Sep 2021 10:19:31 -0700

Atharva Raykar <[email-masked]> writes:

> These helpers were useful back when 'submodule update' had most of its
> logic in shell. Now that they will never be invoked, let us remove them.
>
> Mentored-by: Christian Couder <[email-masked]>
> Mentored-by: Shourya Shukla <[email-masked]>
> Signed-off-by: Atharva Raykar <[email-masked]>
> ---
>  builtin/submodule--helper.c | 135 ------------------------------------
>  1 file changed, 135 deletions(-)

Makes sense.  I briefly hoped that print-default-remote could go
after 2/8 but there is another user that is in the cmd_update() that
is not removed until 5/8 and removing them in a separate step after
we are all done like this patch does makes sense.  I am not sure
where and how the line to separate the two "remove" patches is
drawn, though.  Is there a reason why they need to be two patches?